curl --request POST \
--url https://api.getcargo.io/v1/workspaceManagement/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"permissions": [
{
"effect": "allow",
"resources": [
"<string>"
],
"actions": [
"ai:*"
]
}
]
}
'{
"token": {
"uuid": "<string>",
"token": "<string>",
"name": "<string>",
"permissions": [
{
"effect": "allow",
"resources": [
"<string>"
],
"actions": [
"ai:*"
]
}
],
"workspaceUuid": "<string>",
"userUuid": "<string>",
"createdAt": "<string>",
"deletedAt": "<string>"
}
}Create a new API token
curl --request POST \
--url https://api.getcargo.io/v1/workspaceManagement/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"permissions": [
{
"effect": "allow",
"resources": [
"<string>"
],
"actions": [
"ai:*"
]
}
]
}
'{
"token": {
"uuid": "<string>",
"token": "<string>",
"name": "<string>",
"permissions": [
{
"effect": "allow",
"resources": [
"<string>"
],
"actions": [
"ai:*"
]
}
],
"workspaceUuid": "<string>",
"userUuid": "<string>",
"createdAt": "<string>",
"deletedAt": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful response
Show child attributes
Was this page helpful?